Bug 1948977 - python-drgn fails to build with Python 3.10: undefined symbol: _PyDict_GetItemId
Summary: python-drgn fails to build with Python 3.10: undefined symbol: _PyDict_GetItemId
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: python-drgn
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Davide Cavalca
QA Contact:
URL:
Whiteboard:
: 1968960 (view as bug list)
Depends On:
Blocks: F35FTBFS F35FailsToInstall PYTHON3.10
TreeView+ depends on / blocked
 
Reported: 2021-04-13 07:56 UTC by Tomáš Hrnčiar
Modified: 2021-06-08 14:57 UTC (History)
5 users (show)

Fixed In Version: python-drgn-0.0.13-1.fc35
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-06-08 14:57:57 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github osandov drgn issues 101 0 None open test failures on python 3.10 due to PyDict_GetItem() 2021-04-13 16:18:49 UTC

Description Tomáš Hrnčiar 2021-04-13 07:56:52 UTC
python-drgn fails to build with Python 3.10.0a7.

==================================== ERRORS ====================================
_____________________ ERROR collecting tests/test_docs.py ______________________
ImportError while importing test module '/builddir/build/BUILD/drgn-0.0.11/tests/test_docs.py'.
Hint: make sure your test modules/packages have valid Python names.
Traceback:
/usr/lib64/python3.10/importlib/__init__.py:126: in import_module
    return _bootstrap._gcd_import(name[level:], package, level)
tests/__init__.py:9: in <module>
    from drgn import (
drgn/__init__.py:48: in <module>
    from _drgn import (
E   ImportError: /builddir/build/BUILDROOT/python-drgn-0.0.11-2.fc35.x86_64/usr/lib64/python3.10/site-packages/_drgn.cpython-310-x86_64-linux-gnu.so: undefined symbol: _PyDict_GetItemId
_____________________ ERROR collecting tests/test_dwarf.py _____________________
ImportError while importing test module '/builddir/build/BUILD/drgn-0.0.11/tests/test_dwarf.py'.
Hint: make sure your test modules/packages have valid Python names.
Traceback:
/usr/lib64/python3.10/importlib/__init__.py:126: in import_module
    return _bootstrap._gcd_import(name[level:], package, level)
tests/__init__.py:9: in <module>
    from drgn import (
drgn/__init__.py:48: in <module>
    from _drgn import (
E   ImportError: /builddir/build/BUILDROOT/python-drgn-0.0.11-2.fc35.x86_64/usr/lib64/python3.10/site-packages/_drgn.cpython-310-x86_64-linux-gnu.so: undefined symbol: _PyDict_GetItemId
__________________ ERROR collecting tests/test_language_c.py ___________________
ImportError while importing test module '/builddir/build/BUILD/drgn-0.0.11/tests/test_language_c.py'.
Hint: make sure your test modules/packages have valid Python names.
Traceback:
/usr/lib64/python3.10/importlib/__init__.py:126: in import_module
    return _bootstrap._gcd_import(name[level:], package, level)
tests/__init__.py:9: in <module>
    from drgn import (
drgn/__init__.py:48: in <module>
    from _drgn import (
E   ImportError: /builddir/build/BUILDROOT/python-drgn-0.0.11-2.fc35.x86_64/usr/lib64/python3.10/site-packages/_drgn.cpython-310-x86_64-linux-gnu.so: undefined symbol: _PyDict_GetItemId
_____________________ ERROR collecting tests/test_lexer.py _____________________
ImportError while importing test module '/builddir/build/BUILD/drgn-0.0.11/tests/test_lexer.py'.
Hint: make sure your test modules/packages have valid Python names.
Traceback:
/usr/lib64/python3.10/importlib/__init__.py:126: in import_module
    return _bootstrap._gcd_import(name[level:], package, level)
tests/__init__.py:9: in <module>
    from drgn import (
drgn/__init__.py:48: in <module>
    from _drgn import (
E   ImportError: /builddir/build/BUILDROOT/python-drgn-0.0.11-2.fc35.x86_64/usr/lib64/python3.10/site-packages/_drgn.cpython-310-x86_64-linux-gnu.so: undefined symbol: _PyDict_GetItemId
____________________ ERROR collecting tests/test_object.py _____________________
ImportError while importing test module '/builddir/build/BUILD/drgn-0.0.11/tests/test_object.py'.
Hint: make sure your test modules/packages have valid Python names.
Traceback:
/usr/lib64/python3.10/importlib/__init__.py:126: in import_module
    return _bootstrap._gcd_import(name[level:], package, level)
tests/__init__.py:9: in <module>
    from drgn import (
drgn/__init__.py:48: in <module>
    from _drgn import (
E   ImportError: /builddir/build/BUILDROOT/python-drgn-0.0.11-2.fc35.x86_64/usr/lib64/python3.10/site-packages/_drgn.cpython-310-x86_64-linux-gnu.so: undefined symbol: _PyDict_GetItemId
_____________________ ERROR collecting tests/test_path.py ______________________
ImportError while importing test module '/builddir/build/BUILD/drgn-0.0.11/tests/test_path.py'.
Hint: make sure your test modules/packages have valid Python names.
Traceback:
/usr/lib64/python3.10/importlib/__init__.py:126: in import_module
    return _bootstrap._gcd_import(name[level:], package, level)
tests/__init__.py:9: in <module>
    from drgn import (
drgn/__init__.py:48: in <module>
    from _drgn import (
E   ImportError: /builddir/build/BUILDROOT/python-drgn-0.0.11-2.fc35.x86_64/usr/lib64/python3.10/site-packages/_drgn.cpython-310-x86_64-linux-gnu.so: undefined symbol: _PyDict_GetItemId
___________________ ERROR collecting tests/test_platform.py ____________________
ImportError while importing test module '/builddir/build/BUILD/drgn-0.0.11/tests/test_platform.py'.
Hint: make sure your test modules/packages have valid Python names.
Traceback:
/usr/lib64/python3.10/importlib/__init__.py:126: in import_module
    return _bootstrap._gcd_import(name[level:], package, level)
tests/__init__.py:9: in <module>
    from drgn import (
drgn/__init__.py:48: in <module>
    from _drgn import (
E   ImportError: /builddir/build/BUILDROOT/python-drgn-0.0.11-2.fc35.x86_64/usr/lib64/python3.10/site-packages/_drgn.cpython-310-x86_64-linux-gnu.so: undefined symbol: _PyDict_GetItemId
____________________ ERROR collecting tests/test_program.py ____________________
ImportError while importing test module '/builddir/build/BUILD/drgn-0.0.11/tests/test_program.py'.
Hint: make sure your test modules/packages have valid Python names.
Traceback:
/usr/lib64/python3.10/importlib/__init__.py:126: in import_module
    return _bootstrap._gcd_import(name[level:], package, level)
tests/__init__.py:9: in <module>
    from drgn import (
drgn/__init__.py:48: in <module>
    from _drgn import (
E   ImportError: /builddir/build/BUILDROOT/python-drgn-0.0.11-2.fc35.x86_64/usr/lib64/python3.10/site-packages/_drgn.cpython-310-x86_64-linux-gnu.so: undefined symbol: _PyDict_GetItemId
____________________ ERROR collecting tests/test_python.py _____________________
ImportError while importing test module '/builddir/build/BUILD/drgn-0.0.11/tests/test_python.py'.
Hint: make sure your test modules/packages have valid Python names.
Traceback:
/usr/lib64/python3.10/importlib/__init__.py:126: in import_module
    return _bootstrap._gcd_import(name[level:], package, level)
tests/__init__.py:9: in <module>
    from drgn import (
drgn/__init__.py:48: in <module>
    from _drgn import (
E   ImportError: /builddir/build/BUILDROOT/python-drgn-0.0.11-2.fc35.x86_64/usr/lib64/python3.10/site-packages/_drgn.cpython-310-x86_64-linux-gnu.so: undefined symbol: _PyDict_GetItemId
___________________ ERROR collecting tests/test_serialize.py ___________________
ImportError while importing test module '/builddir/build/BUILD/drgn-0.0.11/tests/test_serialize.py'.
Hint: make sure your test modules/packages have valid Python names.
Traceback:
/usr/lib64/python3.10/importlib/__init__.py:126: in import_module
    return _bootstrap._gcd_import(name[level:], package, level)
tests/__init__.py:9: in <module>
    from drgn import (
drgn/__init__.py:48: in <module>
    from _drgn import (
E   ImportError: /builddir/build/BUILDROOT/python-drgn-0.0.11-2.fc35.x86_64/usr/lib64/python3.10/site-packages/_drgn.cpython-310-x86_64-linux-gnu.so: undefined symbol: _PyDict_GetItemId
_____________________ ERROR collecting tests/test_type.py ______________________
ImportError while importing test module '/builddir/build/BUILD/drgn-0.0.11/tests/test_type.py'.
Hint: make sure your test modules/packages have valid Python names.
Traceback:
/usr/lib64/python3.10/importlib/__init__.py:126: in import_module
    return _bootstrap._gcd_import(name[level:], package, level)
tests/__init__.py:9: in <module>
    from drgn import (
drgn/__init__.py:48: in <module>
    from _drgn import (
E   ImportError: /builddir/build/BUILDROOT/python-drgn-0.0.11-2.fc35.x86_64/usr/lib64/python3.10/site-packages/_drgn.cpython-310-x86_64-linux-gnu.so: undefined symbol: _PyDict_GetItemId
_____________________ ERROR collecting tests/test_util.py ______________________
ImportError while importing test module '/builddir/build/BUILD/drgn-0.0.11/tests/test_util.py'.
Hint: make sure your test modules/packages have valid Python names.
Traceback:
/usr/lib64/python3.10/importlib/__init__.py:126: in import_module
    return _bootstrap._gcd_import(name[level:], package, level)
tests/__init__.py:9: in <module>
    from drgn import (
drgn/__init__.py:48: in <module>
    from _drgn import (
E   ImportError: /builddir/build/BUILDROOT/python-drgn-0.0.11-2.fc35.x86_64/usr/lib64/python3.10/site-packages/_drgn.cpython-310-x86_64-linux-gnu.so: undefined symbol: _PyDict_GetItemId
______________ ERROR collecting tests/helpers/linux/test_block.py ______________
ImportError while importing test module '/builddir/build/BUILD/drgn-0.0.11/tests/helpers/linux/test_block.py'.
Hint: make sure your test modules/packages have valid Python names.
Traceback:
/usr/lib64/python3.10/importlib/__init__.py:126: in import_module
    return _bootstrap._gcd_import(name[level:], package, level)
tests/__init__.py:9: in <module>
    from drgn import (
drgn/__init__.py:48: in <module>
    from _drgn import (
E   ImportError: /builddir/build/BUILDROOT/python-drgn-0.0.11-2.fc35.x86_64/usr/lib64/python3.10/site-packages/_drgn.cpython-310-x86_64-linux-gnu.so: undefined symbol: _PyDict_GetItemId
______________ ERROR collecting tests/helpers/linux/test_boot.py _______________
ImportError while importing test module '/builddir/build/BUILD/drgn-0.0.11/tests/helpers/linux/test_boot.py'.
Hint: make sure your test modules/packages have valid Python names.
Traceback:
/usr/lib64/python3.10/importlib/__init__.py:126: in import_module
    return _bootstrap._gcd_import(name[level:], package, level)
tests/__init__.py:9: in <module>
    from drgn import (
drgn/__init__.py:48: in <module>
    from _drgn import (
E   ImportError: /builddir/build/BUILDROOT/python-drgn-0.0.11-2.fc35.x86_64/usr/lib64/python3.10/site-packages/_drgn.cpython-310-x86_64-linux-gnu.so: undefined symbol: _PyDict_GetItemId
_____________ ERROR collecting tests/helpers/linux/test_cgroup.py ______________
ImportError while importing test module '/builddir/build/BUILD/drgn-0.0.11/tests/helpers/linux/test_cgroup.py'.
Hint: make sure your test modules/packages have valid Python names.
Traceback:
/usr/lib64/python3.10/importlib/__init__.py:126: in import_module
    return _bootstrap._gcd_import(name[level:], package, level)
tests/__init__.py:9: in <module>
    from drgn import (
drgn/__init__.py:48: in <module>
    from _drgn import (
E   ImportError: /builddir/build/BUILDROOT/python-drgn-0.0.11-2.fc35.x86_64/usr/lib64/python3.10/site-packages/_drgn.cpython-310-x86_64-linux-gnu.so: undefined symbol: _PyDict_GetItemId
_____________ ERROR collecting tests/helpers/linux/test_cpumask.py _____________
ImportError while importing test module '/builddir/build/BUILD/drgn-0.0.11/tests/helpers/linux/test_cpumask.py'.
Hint: make sure your test modules/packages have valid Python names.
Traceback:
/usr/lib64/python3.10/importlib/__init__.py:126: in import_module
    return _bootstrap._gcd_import(name[level:], package, level)
tests/__init__.py:9: in <module>
    from drgn import (
drgn/__init__.py:48: in <module>
    from _drgn import (
E   ImportError: /builddir/build/BUILDROOT/python-drgn-0.0.11-2.fc35.x86_64/usr/lib64/python3.10/site-packages/_drgn.cpython-310-x86_64-linux-gnu.so: undefined symbol: _PyDict_GetItemId
___________ ERROR collecting tests/helpers/linux/test_debug_info.py ____________
ImportError while importing test module '/builddir/build/BUILD/drgn-0.0.11/tests/helpers/linux/test_debug_info.py'.
Hint: make sure your test modules/packages have valid Python names.
Traceback:
/usr/lib64/python3.10/importlib/__init__.py:126: in import_module
    return _bootstrap._gcd_import(name[level:], package, level)
tests/__init__.py:9: in <module>
    from drgn import (
drgn/__init__.py:48: in <module>
    from _drgn import (
E   ImportError: /builddir/build/BUILDROOT/python-drgn-0.0.11-2.fc35.x86_64/usr/lib64/python3.10/site-packages/_drgn.cpython-310-x86_64-linux-gnu.so: undefined symbol: _PyDict_GetItemId
_______________ ERROR collecting tests/helpers/linux/test_fs.py ________________
ImportError while importing test module '/builddir/build/BUILD/drgn-0.0.11/tests/helpers/linux/test_fs.py'.
Hint: make sure your test modules/packages have valid Python names.
Traceback:
/usr/lib64/python3.10/importlib/__init__.py:126: in import_module
    return _bootstrap._gcd_import(name[level:], package, level)
tests/__init__.py:9: in <module>
    from drgn import (
drgn/__init__.py:48: in <module>
    from _drgn import (
E   ImportError: /builddir/build/BUILDROOT/python-drgn-0.0.11-2.fc35.x86_64/usr/lib64/python3.10/site-packages/_drgn.cpython-310-x86_64-linux-gnu.so: undefined symbol: _PyDict_GetItemId
_____________ ERROR collecting tests/helpers/linux/test_kconfig.py _____________
ImportError while importing test module '/builddir/build/BUILD/drgn-0.0.11/tests/helpers/linux/test_kconfig.py'.
Hint: make sure your test modules/packages have valid Python names.
Traceback:
/usr/lib64/python3.10/importlib/__init__.py:126: in import_module
    return _bootstrap._gcd_import(name[level:], package, level)
tests/__init__.py:9: in <module>
    from drgn import (
drgn/__init__.py:48: in <module>
    from _drgn import (
E   ImportError: /builddir/build/BUILDROOT/python-drgn-0.0.11-2.fc35.x86_64/usr/lib64/python3.10/site-packages/_drgn.cpython-310-x86_64-linux-gnu.so: undefined symbol: _PyDict_GetItemId
_____________ ERROR collecting tests/helpers/linux/test_kernfs.py ______________
ImportError while importing test module '/builddir/build/BUILD/drgn-0.0.11/tests/helpers/linux/test_kernfs.py'.
Hint: make sure your test modules/packages have valid Python names.
Traceback:
/usr/lib64/python3.10/importlib/__init__.py:126: in import_module
    return _bootstrap._gcd_import(name[level:], package, level)
tests/__init__.py:9: in <module>
    from drgn import (
drgn/__init__.py:48: in <module>
    from _drgn import (
E   ImportError: /builddir/build/BUILDROOT/python-drgn-0.0.11-2.fc35.x86_64/usr/lib64/python3.10/site-packages/_drgn.cpython-310-x86_64-linux-gnu.so: undefined symbol: _PyDict_GetItemId
_______________ ERROR collecting tests/helpers/linux/test_mm.py ________________
ImportError while importing test module '/builddir/build/BUILD/drgn-0.0.11/tests/helpers/linux/test_mm.py'.
Hint: make sure your test modules/packages have valid Python names.
Traceback:
/usr/lib64/python3.10/importlib/__init__.py:126: in import_module
    return _bootstrap._gcd_import(name[level:], package, level)
tests/__init__.py:9: in <module>
    from drgn import (
drgn/__init__.py:48: in <module>
    from _drgn import (
E   ImportError: /builddir/build/BUILDROOT/python-drgn-0.0.11-2.fc35.x86_64/usr/lib64/python3.10/site-packages/_drgn.cpython-310-x86_64-linux-gnu.so: undefined symbol: _PyDict_GetItemId
_______________ ERROR collecting tests/helpers/linux/test_net.py _______________
ImportError while importing test module '/builddir/build/BUILD/drgn-0.0.11/tests/helpers/linux/test_net.py'.
Hint: make sure your test modules/packages have valid Python names.
Traceback:
/usr/lib64/python3.10/importlib/__init__.py:126: in import_module
    return _bootstrap._gcd_import(name[level:], package, level)
tests/__init__.py:9: in <module>
    from drgn import (
drgn/__init__.py:48: in <module>
    from _drgn import (
E   ImportError: /builddir/build/BUILDROOT/python-drgn-0.0.11-2.fc35.x86_64/usr/lib64/python3.10/site-packages/_drgn.cpython-310-x86_64-linux-gnu.so: undefined symbol: _PyDict_GetItemId
_____________ ERROR collecting tests/helpers/linux/test_percpu.py ______________
ImportError while importing test module '/builddir/build/BUILD/drgn-0.0.11/tests/helpers/linux/test_percpu.py'.
Hint: make sure your test modules/packages have valid Python names.
Traceback:
/usr/lib64/python3.10/importlib/__init__.py:126: in import_module
    return _bootstrap._gcd_import(name[level:], package, level)
tests/__init__.py:9: in <module>
    from drgn import (
drgn/__init__.py:48: in <module>
    from _drgn import (
E   ImportError: /builddir/build/BUILDROOT/python-drgn-0.0.11-2.fc35.x86_64/usr/lib64/python3.10/site-packages/_drgn.cpython-310-x86_64-linux-gnu.so: undefined symbol: _PyDict_GetItemId
_______________ ERROR collecting tests/helpers/linux/test_pid.py _______________
ImportError while importing test module '/builddir/build/BUILD/drgn-0.0.11/tests/helpers/linux/test_pid.py'.
Hint: make sure your test modules/packages have valid Python names.
Traceback:
/usr/lib64/python3.10/importlib/__init__.py:126: in import_module
    return _bootstrap._gcd_import(name[level:], package, level)
tests/__init__.py:9: in <module>
    from drgn import (
drgn/__init__.py:48: in <module>
    from _drgn import (
E   ImportError: /builddir/build/BUILDROOT/python-drgn-0.0.11-2.fc35.x86_64/usr/lib64/python3.10/site-packages/_drgn.cpython-310-x86_64-linux-gnu.so: undefined symbol: _PyDict_GetItemId
______________ ERROR collecting tests/helpers/linux/test_sched.py ______________
ImportError while importing test module '/builddir/build/BUILD/drgn-0.0.11/tests/helpers/linux/test_sched.py'.
Hint: make sure your test modules/packages have valid Python names.
Traceback:
/usr/lib64/python3.10/importlib/__init__.py:126: in import_module
    return _bootstrap._gcd_import(name[level:], package, level)
tests/__init__.py:9: in <module>
    from drgn import (
drgn/__init__.py:48: in <module>
    from _drgn import (
E   ImportError: /builddir/build/BUILDROOT/python-drgn-0.0.11-2.fc35.x86_64/usr/lib64/python3.10/site-packages/_drgn.cpython-310-x86_64-linux-gnu.so: undefined symbol: _PyDict_GetItemId
___________ ERROR collecting tests/helpers/linux/test_stack_trace.py ___________
ImportError while importing test module '/builddir/build/BUILD/drgn-0.0.11/tests/helpers/linux/test_stack_trace.py'.
Hint: make sure your test modules/packages have valid Python names.
Traceback:
/usr/lib64/python3.10/importlib/__init__.py:126: in import_module
    return _bootstrap._gcd_import(name[level:], package, level)
tests/__init__.py:9: in <module>
    from drgn import (
drgn/__init__.py:48: in <module>
    from _drgn import (
E   ImportError: /builddir/build/BUILDROOT/python-drgn-0.0.11-2.fc35.x86_64/usr/lib64/python3.10/site-packages/_drgn.cpython-310-x86_64-linux-gnu.so: undefined symbol: _PyDict_GetItemId
_______________ ERROR collecting tests/helpers/linux/test_tcp.py _______________
ImportError while importing test module '/builddir/build/BUILD/drgn-0.0.11/tests/helpers/linux/test_tcp.py'.
Hint: make sure your test modules/packages have valid Python names.
Traceback:
/usr/lib64/python3.10/importlib/__init__.py:126: in import_module
    return _bootstrap._gcd_import(name[level:], package, level)
tests/__init__.py:9: in <module>
    from drgn import (
drgn/__init__.py:48: in <module>
    from _drgn import (
E   ImportError: /builddir/build/BUILDROOT/python-drgn-0.0.11-2.fc35.x86_64/usr/lib64/python3.10/site-packages/_drgn.cpython-310-x86_64-linux-gnu.so: undefined symbol: _PyDict_GetItemId
______________ ERROR collecting tests/helpers/linux/test_user.py _______________
ImportError while importing test module '/builddir/build/BUILD/drgn-0.0.11/tests/helpers/linux/test_user.py'.
Hint: make sure your test modules/packages have valid Python names.
Traceback:
/usr/lib64/python3.10/importlib/__init__.py:126: in import_module
    return _bootstrap._gcd_import(name[level:], package, level)
tests/__init__.py:9: in <module>
    from drgn import (
drgn/__init__.py:48: in <module>
    from _drgn import (
E   ImportError: /builddir/build/BUILDROOT/python-drgn-0.0.11-2.fc35.x86_64/usr/lib64/python3.10/site-packages/_drgn.cpython-310-x86_64-linux-gnu.so: undefined symbol: _PyDict_GetItemId
_______________ ERROR collecting tests/helpers/linux/test_uts.py _______________
ImportError while importing test module '/builddir/build/BUILD/drgn-0.0.11/tests/helpers/linux/test_uts.py'.
Hint: make sure your test modules/packages have valid Python names.
Traceback:
/usr/lib64/python3.10/importlib/__init__.py:126: in import_module
    return _bootstrap._gcd_import(name[level:], package, level)
tests/__init__.py:9: in <module>
    from drgn import (
drgn/__init__.py:48: in <module>
    from _drgn import (
E   ImportError: /builddir/build/BUILDROOT/python-drgn-0.0.11-2.fc35.x86_64/usr/lib64/python3.10/site-packages/_drgn.cpython-310-x86_64-linux-gnu.so: undefined symbol: _PyDict_GetItemId
=========================== short test summary info ============================
ERROR tests/test_docs.py
ERROR tests/test_dwarf.py
ERROR tests/test_language_c.py
ERROR tests/test_lexer.py
ERROR tests/test_object.py
ERROR tests/test_path.py
ERROR tests/test_platform.py
ERROR tests/test_program.py
ERROR tests/test_python.py
ERROR tests/test_serialize.py
ERROR tests/test_type.py
ERROR tests/test_util.py
ERROR tests/helpers/linux/test_block.py
ERROR tests/helpers/linux/test_boot.py
ERROR tests/helpers/linux/test_cgroup.py
ERROR tests/helpers/linux/test_cpumask.py
ERROR tests/helpers/linux/test_debug_info.py
ERROR tests/helpers/linux/test_fs.py
ERROR tests/helpers/linux/test_kconfig.py
ERROR tests/helpers/linux/test_kernfs.py
ERROR tests/helpers/linux/test_mm.py
ERROR tests/helpers/linux/test_net.py
ERROR tests/helpers/linux/test_percpu.py
ERROR tests/helpers/linux/test_pid.py
ERROR tests/helpers/linux/test_sched.py
ERROR tests/helpers/linux/test_stack_trace.py
ERROR tests/helpers/linux/test_tcp.py
ERROR tests/helpers/linux/test_user.py
ERROR tests/helpers/linux/test_uts.py
!!!!!!!!!!!!!!!!!!! Interrupted: 29 errors during collection !!!!!!!!!!!!!!!!!!!
============================== 29 errors in 0.60s ==============================

bpo-40839: Calling PyDict_GetItem() without GIL held had been allowed for historical reason. It is no longer allowed.
https://bugs.python.org/issue40839
https://docs.python.org/3.10/whatsnew/changelog.html#python-3-10-0-alpha-7

For the build logs, see:
https://copr-be.cloud.fedoraproject.org/results/@python/python3.10/fedora-rawhide-x86_64/02125551-python-drgn/

For all our attempts to build python-drgn with Python 3.10, see:
https://copr.fedorainfracloud.org/coprs/g/python/python3.10/package/python-drgn/

Testing and mass rebuild of packages is happening in copr. You can follow these instructions to test locally in mock if your package builds with Python 3.10:
https://copr.fedorainfracloud.org/coprs/g/python/python3.10/

Let us know here if you have any questions.

Python 3.10 will be included in Fedora 35. To make that update smoother, we're building Fedora packages with early pre-releases of Python 3.10.
A build failure prevents us from testing all dependent packages (transitive [Build]Requires), so if this package is required a lot, it's important for us to get it fixed soon.
We'd appreciate help from the people who know this package best, but if you don't want to work on this now, let us know so we can try to work around it on our side.

Comment 1 Davide Cavalca 2021-04-13 16:18:52 UTC
Filed https://github.com/osandov/drgn/issues/101 for upstream.

Comment 2 Miro Hrončok 2021-06-04 20:13:57 UTC
This is a mass-posted update. Sorry if it is not 100% accurate to this bugzilla.


The Python 3.10 rebuild is in progress in a Koji side tag. If you manage to fix the problem, please commit the fix in the rawhide branch, but don't build the package in regular rawhide.

You can either build the package in the side tag, with:

    $ fedpkg build --target=f35-python

Or you can the build and we will eventually build it for you.

Note that the rebuild is still in progress, so not all (build) dependencies of this package might be available right away.

Thanks.

See also https://fedoraproject.org/wiki/Changes/Python3.10

If you have general questions about the rebuild, please use this mailing list thread: https://lists.fedoraproject.org/archives/list/devel@lists.fedoraproject.org/thread/G47SGOYIQLRDTWGOSLSWERZSSHXDEDH5/

Comment 3 Davide Cavalca 2021-06-04 21:31:28 UTC
There's a fix for this upstream already, I talked to them and they'll cut a new release so we can get the package updated.

Comment 4 Miro Hrončok 2021-06-07 22:58:39 UTC
The f35-python side tag has been merged to Rawhide. From now on, build as you would normally build.

Comment 5 Miro Hrončok 2021-06-08 11:24:28 UTC
*** Bug 1968960 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.